Skip to main content
GET
/
jobs
/
{jobId}
/
status
Get job status
curl --request GET \
  --url https://api.galtea.ai/jobs/{jobId}/status \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "state": "waiting",
  "progress": 123,
  "result": {},
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Path Parameters

jobId
string
required

The ID of the job to check

Response

Job status retrieved successfully

id
string

The job ID

state
enum<string>

The current state of the job

Available options:
waiting,
active,
completed,
failed,
delayed,
prioritized,
waiting-children
progress

Job progress (0-100 or custom object)

result
object

The job result when completed (e.g., sessionResults, inferenceResultIds, failedTestCaseIds)

error
string | null

Error message if the job failed